/* $Id: arrayp.h,v 1.1 1997/12/07 11:29:38 rsmit06 Exp $
 *
 * Private header file for array library (libar). This header is only
 * needed for compiling the library, not for normal use.
 *
 * Copyright (C) 1997  R.F. Smith
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Log: arrayp.h,v $
 * Revision 1.1  1997/12/07 11:29:38  rsmit06
 * Initial revision
 *
 *
 */

#ifndef _ARRAYP_H
#define _ARRAYP_H

struct _array {
  unsigned cb_size;             /* element size in bytes */
  unsigned i_max;               /* index of last element */
  unsigned i_free;              /* index of first free element */
  unsigned num_grow;            /* number of elements with which to grow */
  void *data;                   /* pointer to element data */
};

/* fatal error reporting function */
extern void
ar_error(char *info);

#include "array.h"

#endif /* _ARRAYP_H */
